<?php
App::uses('BuzzPhotosAppModel', 'BuzzPhotos.Model');

class ActivityGroup extends BuzzPhotosAppModel {

	public $actsAs = array(
		'Routable.Routable' => array(
			'alias' => 'activity-photos/:displayField',
			'actual' => ':plugin/:controller/view/:primaryKey'
		),
		'MetaData.Meta',
	);

	public $imageSlots = array(
		'main' => array(
			'slots' => 1,
			'fields' => array()
		),
		'feature' => array(
			'slots' => 1,
			'fields' => array()
		)
	);

/**
 * Validation rules
 * @var array
 */
	public $validate = array(
		'name' => array(
			'required' => array(
				'rule' => 'notEmpty',
				'message' => 'Required'
			),
			'maxLength' => array(
				'rule' => array('maxLength', 150),
				'message' => 'No more than 150 characters'
			)
		),
		'api_key' => array(
			'required' => array(
				'rule' => 'notEmpty',
				'message' => 'Required'
			)
		),
		'stock_code' => array(
			'required' => array(
				'rule' => 'notEmpty',
				'message' => 'Required'
			)
		),
	);

}
